## golang-github-sigstore-sigstore 1.4.0

=== Makefile ===
#
# Copyright 2021 The Sigstore Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY: all pkg test test-e2e clean lint fuzz help

all: pkg fuzz

TOOLS_DIR := hack/tools
TOOLS_BIN_DIR := $(abspath $(TOOLS_DIR)/bin)
FUZZ_DIR := ./test/fuzz
INTEGRATION_TEST_DIR := ./test/e2e
GO-FUZZ-BUILD := $(TOOLS_BIN_DIR)/go-fuzz-build

GOLANGCI_LINT_DIR = $(shell pwd)/bin
GOLANGCI_LINT_BIN = $(GOLANGCI_LINT_DIR)/golangci-lint

LDFLAGS ?=

golangci-lint:
	rm -f $(GOLANGCI_LINT_BIN) || :
	set -e ;\
	GOBIN=$(GOLANGCI_LINT_DIR) go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.45.2 ;\

lint: golangci-lint ## Run golangci-lint
	$(GOLANGCI_LINT_BIN) run -v --new-from-rev=HEAD~ ./...

pkg: ## Build pkg
	CGO_ENABLED=0 go build -trimpath -ldflags "$(LDFLAGS)" ./...

test: ## Run Tests
	go test ./...

test-e2e: ## Run E2E Tests
	cd $(INTEGRATION_TEST_DIR); ./e2e-test.sh

fuzz: $(GO-FUZZ-BUILD) ## Run Fuzz tests
	cd $(FUZZ_DIR);$(GO-FUZZ-BUILD) -o pem-fuzz.zip ./pem 
	cd $(FUZZ_DIR);$(GO-FUZZ-BUILD) -o signature-fuzz.zip ./signature
	cd $(FUZZ_DIR);$(GO-FUZZ-BUILD) -o fuzz-fuzz.zip . 
	cd $(FUZZ_DIR);$(GO-FUZZ-BUILD) -o dsse-fuzz.zip ./dsse 


clean: ## Clean workspace
	rm -rf sigstore
	rm -f $(FUZZ_DIR)/*fuzz.zip
	rm -rf $(TOOLS_BIN_DIR)

## --------------------------------------
## Tooling Binaries
## --------------------------------------

$(GO-FUZZ-BUILD): $(TOOLS_DIR)/go.mod
	cd $(TOOLS_DIR);go build -trimpath -tags=tools -o $(TOOLS_BIN_DIR)/go-fuzz-build github.com/dvyukov/go-fuzz/go-fuzz-build

##################
# help
##################

help:  ## Display this help
	@awk \
		-v "col=${COLOR}" -v "nocol=${NOCOLOR}" \
		' \
			BEGIN { \
				FS = ":.*##" ; \
				printf "\nUsage:\n  make %s<target>%s\n", col, nocol \
			} \
			/^[a-zA-Z_-]+:.*?##/ { \
				printf "  %s%-15s%s %s\n", col, $$1, nocol, $$2 \
			} \
			/^##@/ { \
				printf "\n%s%s%s\n", col, substr($$0, 5), nocol \
			} \
		' $(MAKEFILE_LIST)

=== debian/changelog ===
golang-github-sigstore-sigstore (1.4.0-3) unstable; urgency=medium

  * Build against securesystemslib 0.7

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Oct 2023 11:51:14 -0400

golang-github-sigstore-sigstore (1.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Aug 2023 19:54:04 -0400

golang-github-sigstore-sigstore (1.4.0-1) experimental; urgency=medium

  * Initial release, Closes: #1029170

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 18 Jul 2023 21:15:28 -0400

=== debian/control ===
Source: golang-github-sigstore-sigstore
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-azure-azure-sdk-for-go-dev,
               golang-github-azure-go-autorest-dev,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-coreos-go-oidc-dev,
               golang-github-go-test-deep-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-go-containerregistry-dev,
               golang-github-coreos-go-oidc-v3-dev,
#               golang-github-hashicorp-vault-dev,
               golang-github-jellydator-ttlcache-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-pkg-browser-dev,
               golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.7),
               golang-github-segmentio-ksuid-dev,
               golang-github-skratchdot-open-golang-dev,
               golang-github-stretchr-testify-dev,
               golang-github-theupdateframework-go-tuf-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-oauth2-dev,
               golang-golang-x-term-dev,
               golang-google-api-dev,
               golang-google-genproto-dev,
               golang-google-protobuf-dev,
#               golang-googlecloud-go-dev,
               golang-gopkg-square-go-jose.v2-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore.git
Homepage: https://github.com/sigstore/sigstore
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/sigstore/sigstore

Package: golang-github-sigstore-sigstore-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-azure-azure-sdk-for-go-dev,
         golang-github-azure-go-autorest-dev,
         golang-github-aws-aws-sdk-go-v2-dev,
         golang-github-coreos-go-oidc-dev,
         golang-github-go-test-deep-dev,
         golang-github-google-go-cmp-dev,
         golang-github-google-go-containerregistry-dev,
         golang-github-coreos-go-oidc-v3-dev,
#         golang-github-hashicorp-vault-dev,
         golang-github-jellydator-ttlcache-dev,
         golang-github-mitchellh-go-homedir-dev,
         golang-github-pkg-browser-dev,
         golang-github-secure-systems-lab-go-securesystemslib-dev,
         golang-github-segmentio-ksuid-dev,
         golang-github-skratchdot-open-golang-dev,
         golang-github-stretchr-testify-dev,
         golang-github-theupdateframework-go-tuf-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-oauth2-dev,
         golang-golang-x-term-dev,
         golang-google-api-dev,
         golang-google-genproto-dev,
         golang-google-protobuf-dev,
#         golang-googlecloud-go-dev,
         golang-gopkg-square-go-jose.v2-dev,
         ${misc:Depends}
Description: Common go library shared across sigstore services and clients (library)
 sigstore/sigstore is a generic library / framework that is utilized by
 various other clients and projects including fulcio (webPKI), cosign
 (container and OCI signing tool) and tektoncd/chains (Supply Chain
 Security in Tekton Pipelines).

## golang-github-sigstore-sigstore 1.7.5

=== debian/changelog ===
golang-github-sigstore-sigstore (1.7.5-1) unstable; urgency=medium

  * New upstream release
  * Enable most of the test suite

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Nov 2023 15:03:25 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                golang-google-protobuf-dev,
 #               golang-googlecloud-go-dev,
                golang-gopkg-square-go-jose.v2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore.git
 Homepage: https://github.com/sigstore/sigstore

## golang-github-sigstore-sigstore 1.8.0

=== debian/changelog ===
golang-github-sigstore-sigstore (1.8.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Add securesystemslib >= 0.8 for binary package too.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 24 Jan 2024 16:25:37 +0100

golang-github-sigstore-sigstore (1.8.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Need securesystemslib 0.8

 -- Simon Josefsson <simon@josefsson.org>  Tue, 16 Jan 2024 23:48:07 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                golang-github-jellydator-ttlcache-dev,
                golang-github-mitchellh-go-homedir-dev,
                golang-github-pkg-browser-dev,
-               golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.7),
+               golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.8.0~),
                golang-github-segmentio-ksuid-dev,
                golang-github-skratchdot-open-golang-dev,
                golang-github-stretchr-testify-dev,
@@ -54,7 +54,7 @@
          golang-github-jellydator-ttlcache-dev,
          golang-github-mitchellh-go-homedir-dev,
          golang-github-pkg-browser-dev,
-         golang-github-secure-systems-lab-go-securesystemslib-dev,
+         golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.8.0~),
          golang-github-segmentio-ksuid-dev,
          golang-github-skratchdot-open-golang-dev,
          golang-github-stretchr-testify-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_ALL := 1
export DH_GOLANG_EXCLUDES := kms/hashivault kms/gcp kms/azure test/fuzz

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
# disable tests for now
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# make test binaries available where the tests expect them
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/
	env \
	  HOME=$(CURDIR)/debian/tmp-home/.cache \
	  DH_GOLANG_EXCLUDES="$${DH_GOLANG_EXCLUDES}" \
	dh_auto_test -v --max-parallel=2 -- -tags "$(BUILDTAGS)"
	rm -rf $(CURDIR)/debian/tmp-home
endif

## golang-github-sigstore-sigstore 1.8.6

=== debian/changelog ===
golang-github-sigstore-sigstore (1.8.6-1) unstable; urgency=medium

  * New upstream release: 1.8.6
  * Compile against go-jose v3

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Jul 2024 20:54:07 -0400

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                golang-google-genproto-dev,
                golang-google-protobuf-dev,
 #               golang-googlecloud-go-dev,
-               golang-gopkg-square-go-jose.v2-dev
+               golang-github-go-jose-go-jose.v3-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore.git
@@ -66,7 +66,7 @@
          golang-google-genproto-dev,
          golang-google-protobuf-dev,
 #         golang-googlecloud-go-dev,
-         golang-gopkg-square-go-jose.v2-dev,
+         golang-github-go-jose-go-jose.v3-dev
          ${misc:Depends}
 Description: Common go library shared across sigstore services and clients (library)
  sigstore/sigstore is a generic library / framework that is utilized by

## golang-github-sigstore-sigstore 1.8.10

=== debian/changelog ===
golang-github-sigstore-sigstore (1.8.10-3) unstable; urgency=medium

  * Upload to unstable.
  * Add myself as Uploaders.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 12 Dec 2024 10:14:24 +0100

golang-github-sigstore-sigstore (1.8.10-3~exp0) experimental; urgency=medium

  * Team upload.
  * Revert "Drop TUF (deprecated)."
  * Use TUF v0, using local namespace hack.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Dec 2024 12:25:40 +0100

golang-github-sigstore-sigstore (1.8.10-2) unstable; urgency=medium

  * Team upload.
  * Drop TUF (deprecated).

 -- Simon Josefsson <simon@josefsson.org>  Wed, 23 Oct 2024 20:35:20 +0200

golang-github-sigstore-sigstore (1.8.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * gbp.conf: Sign tags.
  * Add d/salsa-ci.yml.
  * Fix lintian missing-separator-between-items.
  * Run wrap-and-sort --wrap-always --trailing-comma.
  * Standards-Version: 4.7.0.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Oct 2024 23:15:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+
+execute_before_dh_auto_build:
+	cd _build/src/github.com/sigstore/sigstore/pkg; \
+	 rgrep -q "github.com/theupdateframework/go-tuf/v0" tuf fulcioroots \
+	 || find tuf fulcioroots -type f -print0 | xargs -0 \
+	  perl -pi -e 's,github.com/theupdateframework/go-tuf,github.com/theupdateframework/go-tuf/v0,'
 
 override_dh_auto_test:
 # disable tests for now

## golang-github-sigstore-sigstore 1.8.11

=== debian/changelog ===
golang-github-sigstore-sigstore (1.8.11-1) unstable; urgency=medium

  * New upstream version 1.8.11
  * Use DH_GOLANG_INSTALL_EXTRA instead of DH_GOLANG_INSTALL_ALL.
  * Drop no longer needed disable-TestGetCode.patch.
  * Tag debian-specific patches as Forwarded: not-needed.
  * Fix disable-tests-that-download.patch typo.
  * Silence repeated-path-segment lintian false positive.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 31 Dec 2024 13:49:17 +0100

## golang-github-sigstore-sigstore 1.8.12

=== Makefile ===
--- 
+++ 
@@ -28,29 +28,42 @@
 
 LDFLAGS ?=
 
+GO_MOD_DIRS = . ./pkg/signature/kms/aws ./pkg/signature/kms/azure ./pkg/signature/kms/gcp ./pkg/signature/kms/hashivault
+
 golangci-lint:
 	rm -f $(GOLANGCI_LINT_BIN) || :
 	set -e ;\
-	GOBIN=$(GOLANGCI_LINT_DIR) go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.45.2 ;\
+	GOBIN=$(GOLANGCI_LINT_DIR) go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.53.2 ;\
 
 lint: golangci-lint ## Run golangci-lint
 	$(GOLANGCI_LINT_BIN) run -v --new-from-rev=HEAD~ ./...
 
 pkg: ## Build pkg
-	CGO_ENABLED=0 go build -trimpath -ldflags "$(LDFLAGS)" ./...
+	set -o xtrace; \
+	for dir in $(GO_MOD_DIRS) ; do \
+	    cd $$dir && CGO_ENABLED=0 go build -trimpath -ldflags "$(LDFLAGS)" ./... && cd - >/dev/null; \
+	done
 
-test: ## Run Tests
-	go test ./...
+test: ## Run Tests for all Go modules.
+	set -o xtrace; \
+	for dir in $(GO_MOD_DIRS) ; do \
+	    cd $$dir && go test ./... && cd - >/dev/null; \
+	done
+
+tidy: ## Run go mod tidy all Go modules.
+	set -o xtrace; \
+	for dir in $(GO_MOD_DIRS) ; do \
+	    cd $$dir && go mod tidy && cd - >/dev/null; \
+	done
 
 test-e2e: ## Run E2E Tests
 	cd $(INTEGRATION_TEST_DIR); ./e2e-test.sh
 
 fuzz: $(GO-FUZZ-BUILD) ## Run Fuzz tests
-	cd $(FUZZ_DIR);$(GO-FUZZ-BUILD) -o pem-fuzz.zip ./pem 
+	cd $(FUZZ_DIR);$(GO-FUZZ-BUILD) -o pem-fuzz.zip ./pem
 	cd $(FUZZ_DIR);$(GO-FUZZ-BUILD) -o signature-fuzz.zip ./signature
-	cd $(FUZZ_DIR);$(GO-FUZZ-BUILD) -o fuzz-fuzz.zip . 
-	cd $(FUZZ_DIR);$(GO-FUZZ-BUILD) -o dsse-fuzz.zip ./dsse 
-
+	cd $(FUZZ_DIR);$(GO-FUZZ-BUILD) -o fuzz-fuzz.zip .
+	cd $(FUZZ_DIR);$(GO-FUZZ-BUILD) -o dsse-fuzz.zip ./dsse
 
 clean: ## Clean workspace
 	rm -rf sigstore

=== debian/changelog ===
golang-github-sigstore-sigstore (1.8.12-1) unstable; urgency=medium

  * New upstream version 1.8.12
  * Bump copyright years for d/*.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 14 Jan 2025 13:56:29 +0100

=== debian/control ===
Source: golang-github-sigstore-sigstore
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Simon Josefsson <simon@josefsson.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-azure-azure-sdk-for-go-dev,
               golang-github-azure-go-autorest-dev,
               golang-github-coreos-go-oidc-dev,
               golang-github-coreos-go-oidc-v3-dev,
               golang-github-go-jose-go-jose.v3-dev,
               golang-github-go-test-deep-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-go-containerregistry-dev,
               golang-github-jellydator-ttlcache-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-pkg-browser-dev,
               golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.8.0~),
               golang-github-segmentio-ksuid-dev,
               golang-github-skratchdot-open-golang-dev,
               golang-github-stretchr-testify-dev,
               golang-github-theupdateframework-go-tuf-dev (>> 2.0.2+0.7.0~),
               golang-golang-x-crypto-dev,
               golang-golang-x-oauth2-dev,
               golang-golang-x-term-dev,
               golang-google-api-dev,
               golang-google-genproto-dev,
               golang-google-protobuf-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore.git
Homepage: https://github.com/sigstore/sigstore
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/sigstore/sigstore

Package: golang-github-sigstore-sigstore-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-aws-aws-sdk-go-v2-dev,
         golang-github-azure-azure-sdk-for-go-dev,
         golang-github-azure-go-autorest-dev,
         golang-github-coreos-go-oidc-dev,
         golang-github-coreos-go-oidc-v3-dev,
         golang-github-go-jose-go-jose.v3-dev,
         golang-github-go-test-deep-dev,
         golang-github-google-go-cmp-dev,
         golang-github-google-go-containerregistry-dev,
         golang-github-jellydator-ttlcache-dev,
         golang-github-mitchellh-go-homedir-dev,
         golang-github-pkg-browser-dev,
         golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.8.0~),
         golang-github-segmentio-ksuid-dev,
         golang-github-skratchdot-open-golang-dev,
         golang-github-stretchr-testify-dev,
         golang-github-theupdateframework-go-tuf-dev (>> 2.0.2+0.7.0~),
         golang-golang-x-crypto-dev,
         golang-golang-x-oauth2-dev,
         golang-golang-x-term-dev,
         golang-google-api-dev,
         golang-google-genproto-dev,
         golang-google-protobuf-dev,
         ${misc:Depends},
Description: Common go library shared across sigstore services and clients (library)
 sigstore/sigstore is a generic library / framework that is utilized by
 various other clients and projects including fulcio (webPKI), cosign
 (container and OCI signing tool) and tektoncd/chains (Supply Chain
 Security in Tekton Pipelines).

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DH_GOLANG_INSTALL_ALL := 1
+export DH_GOLANG_INSTALL_EXTRA := pkg/tuf/repository
 export DH_GOLANG_EXCLUDES := kms/hashivault kms/gcp kms/azure test/fuzz
 
 %:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/sigstore/sigstore/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-sigstore-sigstore 1.9.1

=== debian/changelog ===
golang-github-sigstore-sigstore (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
  * Standards-Version: 4.7.2.
  * Don't build test/cliplugin/localkms/.
  * d/salsa-ci: Build rdeps.
  * Add B-D/D on sigstore/protobuf-specs.
  * d/salsa-ci: Add trailing EOL.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 00:23:54 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                golang-github-pkg-browser-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.8.0~),
                golang-github-segmentio-ksuid-dev,
+               golang-github-sigstore-protobuf-specs-dev,
                golang-github-skratchdot-open-golang-dev,
                golang-github-stretchr-testify-dev,
                golang-github-theupdateframework-go-tuf-dev (>> 2.0.2+0.7.0~),
@@ -31,7 +32,7 @@
                golang-google-api-dev,
                golang-google-genproto-dev,
                golang-google-protobuf-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore.git
 Homepage: https://github.com/sigstore/sigstore
@@ -55,6 +56,7 @@
          golang-github-pkg-browser-dev,
          golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.8.0~),
          golang-github-segmentio-ksuid-dev,
+         golang-github-sigstore-protobuf-specs-dev,
          golang-github-skratchdot-open-golang-dev,
          golang-github-stretchr-testify-dev,
          golang-github-theupdateframework-go-tuf-dev (>> 2.0.2+0.7.0~),

## golang-github-sigstore-sigstore 1.9.3

=== debian/changelog ===
golang-github-sigstore-sigstore (1.9.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 12 Apr 2025 12:22:03 +0200

golang-github-sigstore-sigstore (1.9.3-1) experimental; urgency=medium

  * New upstream version 1.9.3
  * Refresh B-D/D with dh-make-golang check-depeds.
  * gbp.conf: Use debian-branch=debian/experimental.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 11 Apr 2025 10:08:27 +0200

## golang-github-sigstore-sigstore 1.9.5

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-.PHONY: all pkg test test-e2e clean lint fuzz help
+.PHONY: all pkg test test-e2e test-signer-program clean lint fuzz help
 
 all: pkg fuzz
 
@@ -23,20 +23,23 @@
 INTEGRATION_TEST_DIR := ./test/e2e
 GO-FUZZ-BUILD := $(TOOLS_BIN_DIR)/go-fuzz-build
 
-GOLANGCI_LINT_DIR = $(shell pwd)/bin
-GOLANGCI_LINT_BIN = $(GOLANGCI_LINT_DIR)/golangci-lint
+TEST_LOCALKMS_DIR := ./test/cliplugin/localkms
+TEST_LOCALKMS_BIN_DIR := $(CURDIR)/bin
+TEST_LOCALKMS_BIN := $(TEST_LOCALKMS_BIN_DIR)/sigstore-kms-testkms
+ifeq ($(OS),Windows_NT)
+	TEST_LOCALKMS_BIN := $(TEST_LOCALKMS_BIN).exe
+endif
+PATH := $(PATH):$(TEST_LOCALKMS_BIN_DIR)
+CLI_PLUGIN_DIR := ./pkg/signature/kms/cliplugin
 
 LDFLAGS ?=
 
 GO_MOD_DIRS = . ./pkg/signature/kms/aws ./pkg/signature/kms/azure ./pkg/signature/kms/gcp ./pkg/signature/kms/hashivault
 
-golangci-lint:
-	rm -f $(GOLANGCI_LINT_BIN) || :
-	set -e ;\
-	GOBIN=$(GOLANGCI_LINT_DIR) go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.53.2 ;\
-
-lint: golangci-lint ## Run golangci-lint
-	$(GOLANGCI_LINT_BIN) run -v --new-from-rev=HEAD~ ./...
+lint:
+	for dir in $(GO_MOD_DIRS) ; do \
+	    cd $$dir && golangci-lint run -v --new-from-rev=HEAD~ ./... && cd - ; \
+	done
 
 pkg: ## Build pkg
 	set -o xtrace; \
@@ -49,6 +52,11 @@
 	for dir in $(GO_MOD_DIRS) ; do \
 	    cd $$dir && go test ./... && cd - >/dev/null; \
 	done
+
+test-signer-program: ## Run Tests for the cliplugin against a pre-compiled plugin program.
+	set -o xtrace; \
+		go -C $(TEST_LOCALKMS_DIR) build -o $(TEST_LOCALKMS_BIN) && \
+		go -C $(CLI_PLUGIN_DIR) test -tags=signer_program ./ -key-resource-id testkms://$(TEST_LOCALKMS_BIN_DIR)/key.pem
 
 tidy: ## Run go mod tidy all Go modules.
 	set -o xtrace; \

=== debian/changelog ===
golang-github-sigstore-sigstore (1.9.5-1) unstable; urgency=medium

  * New upstream version 1.9.5

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 15:25:42 +0200

=== debian/control ===
--- 
+++ 
@@ -26,12 +26,12 @@
                golang-github-skratchdot-open-golang-dev,
                golang-github-stretchr-testify-dev,
                golang-github-theupdateframework-go-tuf-dev (>> 2.0.2+0.7.0~),
+               golang-github-tink-crypto-tink-go-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-oauth2-dev,
                golang-golang-x-term-dev,
                golang-google-api-dev,
                golang-google-genproto-dev,
-               golang-google-protobuf-dev,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore.git
@@ -60,12 +60,12 @@
          golang-github-skratchdot-open-golang-dev,
          golang-github-stretchr-testify-dev,
          golang-github-theupdateframework-go-tuf-dev (>> 2.0.2+0.7.0~),
+         golang-github-tink-crypto-tink-go-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-oauth2-dev,
          golang-golang-x-term-dev,
          golang-google-api-dev,
          golang-google-genproto-dev,
-         golang-google-protobuf-dev,
          ${misc:Depends},
 Description: Common go library shared across sigstore services and clients (library)
  sigstore/sigstore is a generic library / framework that is utilized by

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 export DH_GOLANG_INSTALL_EXTRA := pkg/tuf/repository
-export DH_GOLANG_EXCLUDES := kms/hashivault kms/gcp kms/azure test/fuzz
+export DH_GOLANG_EXCLUDES := kms/hashivault kms/gcp kms/azure test/fuzz \
+	test/cliplugin/localkms
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## golang-github-sigstore-sigstore 1.10.1

=== debian/changelog ===
golang-github-sigstore-sigstore (1.10.1-1) unstable; urgency=medium

  * Use watch v5
  * Drop Rules-Requires-Root: no
  * New upstream version 1.10.0
  * Drop B-D/D's suggested by dh-make-golang check-depends
  * Refresh boulder avoid patch
  * Bump upstream copyright years
  * Modernize Salsa CI
  * New upstream version 1.10.1
  * Refresh B-D/D
  * Drop boulder patch

 -- Simon Josefsson <simon@josefsson.org>  Tue, 09 Dec 2025 19:28:32 +0100

=== debian/control ===
--- 
+++ 
@@ -14,19 +14,17 @@
                golang-github-coreos-go-oidc-dev,
                golang-github-coreos-go-oidc-v3-dev,
                golang-github-go-jose-go-jose.v3-dev,
-               golang-github-go-test-deep-dev,
                golang-github-google-go-cmp-dev,
                golang-github-google-go-containerregistry-dev,
                golang-github-jellydator-ttlcache-dev,
                golang-github-mitchellh-go-homedir-dev,
                golang-github-pkg-browser-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.8.0~),
-               golang-github-segmentio-ksuid-dev,
                golang-github-sigstore-protobuf-specs-dev,
-               golang-github-skratchdot-open-golang-dev,
                golang-github-stretchr-testify-dev,
                golang-github-theupdateframework-go-tuf-dev (>> 2.0.2+0.7.0~),
                golang-github-tink-crypto-tink-go-dev,
+               golang-github-titanous-rocacheck-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-oauth2-dev,
                golang-golang-x-term-dev,
@@ -36,7 +34,6 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore.git
 Homepage: https://github.com/sigstore/sigstore
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/sigstore/sigstore
 
 Package: golang-github-sigstore-sigstore-dev
@@ -48,19 +45,17 @@
          golang-github-coreos-go-oidc-dev,
          golang-github-coreos-go-oidc-v3-dev,
          golang-github-go-jose-go-jose.v3-dev,
-         golang-github-go-test-deep-dev,
          golang-github-google-go-cmp-dev,
          golang-github-google-go-containerregistry-dev,
          golang-github-jellydator-ttlcache-dev,
          golang-github-mitchellh-go-homedir-dev,
          golang-github-pkg-browser-dev,
          golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.8.0~),
-         golang-github-segmentio-ksuid-dev,
          golang-github-sigstore-protobuf-specs-dev,
-         golang-github-skratchdot-open-golang-dev,
          golang-github-stretchr-testify-dev,
          golang-github-theupdateframework-go-tuf-dev (>> 2.0.2+0.7.0~),
          golang-github-tink-crypto-tink-go-dev,
+         golang-github-titanous-rocacheck-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-oauth2-dev,
          golang-golang-x-term-dev,

## golang-github-sigstore-sigstore 1.10.3

=== debian/changelog ===
golang-github-sigstore-sigstore (1.10.3-1) unstable; urgency=medium

  * New upstream version 1.10.3
  * Revert "Drop boulder patch"
  * Refresh patch
  * Refresh (Build-)Depends

 -- Simon Josefsson <simon@josefsson.org>  Sat, 13 Dec 2025 14:56:37 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
                golang-github-stretchr-testify-dev,
                golang-github-theupdateframework-go-tuf-dev (>> 2.0.2+0.7.0~),
                golang-github-tink-crypto-tink-go-dev,
-               golang-github-titanous-rocacheck-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-oauth2-dev,
                golang-golang-x-term-dev,
@@ -55,7 +54,6 @@
          golang-github-stretchr-testify-dev,
          golang-github-theupdateframework-go-tuf-dev (>> 2.0.2+0.7.0~),
          golang-github-tink-crypto-tink-go-dev,
-         golang-github-titanous-rocacheck-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-oauth2-dev,
          golang-golang-x-term-dev,

## golang-github-sigstore-sigstore 1.10.4

=== debian/changelog ===
golang-github-sigstore-sigstore (1.10.4-1) unstable; urgency=medium

  * New upstream
    - Fix CVE-2026-24137 (Closes: #1126553)
  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump debian/* copyright years

 -- Simon Josefsson <simon@josefsson.org>  Wed, 04 Feb 2026 23:38:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
            Simon Josefsson <simon@josefsson.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
@@ -29,7 +28,7 @@
                golang-golang-x-term-dev,
                golang-google-api-dev,
                golang-google-genproto-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-sigstore.git
 Homepage: https://github.com/sigstore/sigstore

=== debian/watch ===
Version: 5
Template: Github
Owner: sigstore
Project: sigstore
